#
# spec file for package rubygem-timers
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-timers
Version:        4.0.1
Release:        6.3
%define mod_name timers
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/celluloid/timers
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Schedule procs to run after a certain time, or at periodic
License:        MIT
Group:          Development/Languages/Ruby

%description
Pure Ruby one-shot and periodic timers.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Oct 24 2014 tboerger@suse.com
- Updated to version 4.0.1
  - 4.0.1
  - Memory leak fixes
  - mathn fix for those crazy enough to use it
  - 4.0.0
  - Replace Timers::Timeout with Timers::Wait
  - Timers::Group#wait_interval now returns nil when no timers,
    a postive or negative interval which if positive is the amount
    of time required to wait and if negative, how far in the past
    the latest timer should have fired
  - Performance improvements
  - 3.0.1
  - Require 'set' automatically
  - 3.0.0
  - Refactor Timers class into Timers::Group
  - Add Timers::Timeout class for implementing timeouts
  - Fix timer fudging
  - Update to RSpec 3
* Fri Oct 10 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Sun Jan  5 2014 coolo@suse.com
- updated to version 2.0.0
  * Switch to Hitimes for high precision monotonic counters
  * Removed Timers#time. Replaced with Timers#current_offset which provides a
  monotonic time counter.
* Sun Jan 20 2013 coolo@suse.com
- updated to version 1.1.0
  * Timers#after_milliseconds and #after_ms for waiting in milliseconds
* Mon Dec 24 2012 coolo@suse.com
- updated to version 1.0.2
  * Handle overdue timers correctly
  * Explicitly require Forwardable from stdlib
* Mon Jul 30 2012 coolo@suse.com
- initial package
